t.vect.import(1)

NAME
t.vect.import - Imports a space time vector dataset from a GRASS GIS specific archive file.

KEYWORDS
temporal, import, vector, time, create location

SYNOPSIS
t.vect.import
t.vect.import --help
t.vect.import [-eoc] input=name output=name [basename=string] directory=name [title=string] [description=string] [location=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-e
    Extend location extents based on new dataset

-o
    Override projection check (use current location’s projection)
    Assume that the dataset has same projection as the current location

-c
    Create the location specified by the "location" parameter and exit. Do not import the space time vector datasets.

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input file

output=name [required]
    Name of the output space time vector dataset

basename=string
    Basename of the new generated output maps
    A numerical suffix separated by an underscore will be attached to create a unique identifier

directory=name [required]
    Path to the extraction directory

title=string
    Title of the new space time dataset

description=string
    Description of the new space time dataset

location=string
    Create a new location and import the data into it. Do not run this module in parallel or interrupt it when a new location should be created

DESCRIPTION
t.vect.import imports a space time vector dataset archive that was exported with t.vect.export.

NOTES
Optionally a base map name can be provided to avoid that existing vector maps are overwritten by the map names that are used in the STRDS archive.

The directory is used as work directory in case of import but can also be used as a data directory when using GML for the data exchange.

EXAMPLE
In this example, five vector maps are created and registered in a single space time vector dataset named random_locations. Each vector map represents random locations within the boundary of the state taken at 1 month intervals. The space time dataset is then exported and re-imported.

db.connect -d
for i in `seq 1 5` ; do
    v.random output=map_$i n=500 restrict=boundary_state@PERMANENT
    echo map_$i >> map_list.txt
done
t.create type=stvds temporaltype=absolute \
         output=random_locations \
         title="Random locations" \
         description="Vector test dataset with random locations"
t.register -i type=vector input=random_locations \
           file=map_list.txt start="2012-01-01" increment="1 months"
t.vect.list random_locations
t.vect.export input=random_locations output=random_locations.tar.gz \
              compression=gzip
t.vect.import input=random_locations.tar.gz output=new_random_locations \
              basename=new_map directory=/tmp
t.vect.list new_random_locations
id|name|layer|mapset|start_time|end_time
new_map_1@user1|new_map_1|None|user1|2012-01-01 00:00:00|2012-02-01 00:00:00
new_map_2@user1|new_map_2|None|user1|2012-02-01 00:00:00|2012-03-01 00:00:00
new_map_3@user1|new_map_3|None|user1|2012-03-01 00:00:00|2012-04-01 00:00:00
new_map_4@user1|new_map_4|None|user1|2012-04-01 00:00:00|2012-05-01 00:00:00
new_map_5@user1|new_map_5|None|user1|2012-05-01 00:00:00|2012-06-01 00:00:00

SEE ALSO
t.vect.export, t.create, t.info, v.in.ogr, v.pack, t.rast.import

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.vect.import source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.3.dev Reference Manual